Debian Bug report logs - #430686
ITP: libapp-control-perl -- Perl module for apachectl style control of another script or

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: David Bremner <bremner@unb.ca>

Date: Tue, 26 Jun 2007 17:00:07 UTC

Owned by: david bremner <bremner@unb.ca>

Severity: wishlist

Fixed in version libapp-control-perl/1.02-1

Done: Damyan Ivanov <dmn@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, david bremner <bremner@unb.ca>:
Bug#430686; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to David Bremner <bremner@unb.ca>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, david bremner <bremner@unb.ca>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Bremner <bremner@unb.ca>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libapp-control-perl -- Perl module for apachectl style control of another script or
Date: Tue, 26 Jun 2007 12:41:04 -0300
Package: wnpp
Severity: wishlist
Owner: David Bremner <bremner@unb.ca>


* Package name    : libapp-control-perl
  Version         : x.y.z
  Upstream Author : Name <somebody@example.org>
* URL             : http://www.example.org/
* License         : (GPL, LGPL, BSD, MIT/X, etc.)
  Programming Lang: (C, C++, C#, Perl, Python, etc.)
  Description     : Perl module for apachectl style control of another script or executable

App::Control is a simple module to replicate the kind of functionality you get
with apachectl to control apache, but for any script or executable. There is a
very simple OO interface, where the constructor is used to specify the
executable, command line arguments, and pidfile, and various methods (start,
stop, etc.) are used to control the executable in the obvious way.
 
The module is intended to be used in a simple wrapper control script. Currently
the module does a fork and exec to start the executable, and sets the signal
handler for SIGCHLD to 'IGNORE' to avoid zombie processes.

Comments: 

This is needed by librunapp-perl, to be ITPed soon, and (indirectly) libpushmi-perl, ITP#429688

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.21-1-686 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, david bremner <bremner@unb.ca>:
Bug#430686; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to bremner-dated-1184088024.b73b4a@pivot.cs.unb.ca:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, david bremner <bremner@unb.ca>. Full text and rfc822 format available.

Message #10 received at 430686@bugs.debian.org (full text, mbox):

From: bremner@unb.ca
To: 430686@bugs.debian.org
Subject: Re: Bug#430686: Acknowledgement (ITP: libapp-control-perl -- Perl module for apachectl style control of another script or)
Date: Tue, 26 Jun 2007 14:20:21 -0300
OK, let me be the first to flame myself for such a lousy bug
report. Let my try again, actually filling in the form this time.

* Package name    : libapp-control-perl
  Version         : 1.02
  Upstream Author : Ave Wrigley <Ave.Wrigley@itn.co.uk>
* URL             : http://www.cpan.org/modules/by-authors/id/A/AW/AWRIGLEY/
* License         : Perl (Artistic/GPL)
  Programming Lang: Perl
  Description     : Perl module for apachectl style control of another script or executable





Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 13 Dec 2007 23:06:03 GMT) Full text and rfc822 format available.

Reply sent to Damyan Ivanov <dmn@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to David Bremner <bremner@unb.ca>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 430686-close@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 430686-close@bugs.debian.org
Subject: Bug#430686: fixed in libapp-control-perl 1.02-1
Date: Mon, 17 Dec 2007 16:34:21 +0000
Source: libapp-control-perl
Source-Version: 1.02-1

We believe that the bug you reported is fixed in the latest version of
libapp-control-perl, which is due to be installed in the Debian FTP archive:

libapp-control-perl_1.02-1.diff.gz
  to pool/main/liba/libapp-control-perl/libapp-control-perl_1.02-1.diff.gz
libapp-control-perl_1.02-1.dsc
  to pool/main/liba/libapp-control-perl/libapp-control-perl_1.02-1.dsc
libapp-control-perl_1.02-1_all.deb
  to pool/main/liba/libapp-control-perl/libapp-control-perl_1.02-1_all.deb
libapp-control-perl_1.02.orig.tar.gz
  to pool/main/liba/libapp-control-perl/libapp-control-perl_1.02.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 430686@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damyan Ivanov <dmn@debian.org> (supplier of updated libapp-control-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 11 Dec 2007 13:46:27 +0200
Source: libapp-control-perl
Binary: libapp-control-perl
Architecture: source all
Version: 1.02-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Damyan Ivanov <dmn@debian.org>
Description: 
 libapp-control-perl - Perl module for apachectl style control of another executable
Closes: 430686
Changes: 
 libapp-control-perl (1.02-1) unstable; urgency=low
 .
   [ David Bremner ]
   * Initial Release (Closes: #430686).
Files: 
 aaf4d284e409944ba988ac48ea884f9a 908 perl optional libapp-control-perl_1.02-1.dsc
 7678adf4e4f54d0a3af2817a6e8f7f5e 4690 perl optional libapp-control-perl_1.02.orig.tar.gz
 47c4a2c75848d445f3eb65a27e14e868 2233 perl optional libapp-control-perl_1.02-1.diff.gz
 4865748c2df511619d45e5f4ef0d45d4 9370 perl optional libapp-control-perl_1.02-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHYUG+Hqjlqpcl9jsRAim2AJ4oygAPi/UtT3dn9FPlh7tRNNIlOwCgvprH
yNOOndQa+J7Io6VheBFRCZU=
=ODBy
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Aug 2008 10:42:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 01:48:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.